# include <iostream>
# include <algorithm>
using namespace std;

long long nok(int a, int b)
{
   long long c=__gcd(a,b);
   return a/c*b;
}

int sqrt(int n)
{
    int c=1;
    while(c*c<=n) c++;
    c--;

    return c;
}

int del(int n)
{
    int c=sqrt(n);
    for(int i=2;i<=c;i++)
        if(n%i==0) return i;

    return 1;

}

int slove(int n, int k)
{
   int d=del(n);
   int d2=n/d;
   int d3=((1+k)*k)/2;

   if(d3>d2) return 1;
   long long s=d*(d2/d3);
   if(n%s==0) return s;

   long long d4=nok(d,s);
   if(d4<=d3) return d*d4;
   return d;
}

bool cannot(int n, int k)
{
    long long s=((1+k)*k)/2;
    return n<s;
}

int main()
{
    int t;
    cin>>t;

    for(int i=1;i<=t;i++)
    {
        int n,k;
        cin>>n>>k;

        if(cannot(n,k) or k==0) cout<<"-1"<<endl;
        else
        {
            long long ans=slove(n,k);
            cout<<ans<<endl;
        }
    }
    return 0;
}
