#include <bits/stdc++.h>
using namespace std;

int findNOKX(long number, long countNumbers)
{
    vector<int> dividers;

    if(number<(countNumbers*(countNumbers+1))/2)
    {
        return -1;
    }

    for(long divider=1; divider*divider<=number; divider++)
    {
        if(number%divider!=0)
        {
            continue;
        }

        dividers.push_back(divider);

        if(divider*divider!=number)
        {
            dividers.push_back(number/divider);
        }
    }

    sort(dividers.begin(), dividers.end());

    for(int index=dividers.size()-1; index>=0; index--)
    {
        long sumTX=(number/dividers[index]);

        if(sumTX>=(countNumbers*(countNumbers+1))/2)
        {
            return dividers[index];
        }
    }

    return -1;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int countExr;
    cin >> countExr;

    for(int nowExr=1; nowExr<=countExr; nowExr++)
    {
        long number, countNumbers;

        cin >> number >> countNumbers;

        if(countNumbers>number || countNumbers==number)
        {
            cout << -1 << '\n';
            continue;
        }

        if(countNumbers==1)
        {
            cout << number << '\n';
            continue;
        }

        long NOKX=findNOKX(number, countNumbers);

        cout << NOKX << '\n';
    }
    return 0;
}
