#include <bits/stdc++.h>

using namespace std;

int table[202][202];

pair <int, int> minNums[202];
pair <int, int> maxNums[202];

int zerosRed[202];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int N, Ogi = 0, Rosen = 0;

    cin >> N;

    for (int i = 1; i <= N; i++)
    {
        int minNumber = 101, idx1;
        int maxNumber = 0, idx2;

        for (int q = 1; q <= N; q++)
        {
            cin >> table[i][q];

            if (minNumber > table[i][q])
            {
                minNumber = table[i][q];
                idx1 = q;
            }

            if (maxNumber < table[i][q])
            {
                maxNumber = table[i][q];
                idx2 = q;
            }
        }

        minNums[i].first = minNumber;
        minNums[i].second = idx1;

        maxNums[i].first = maxNumber;
        maxNums[i].second = idx2;
    }

    int steps = 0, zeros = 0;

    while (zeros < N * N)
    {
        zeros++;
        steps++;

        int minRed = 101, idx1, maxNum = 0, idx2;

        for (int i = 1; i <= N; i++)
        {
            if (minNums[i].first != -1 && minRed > minNums[i].first)
            {
                minRed = minNums[i].first;
                idx1 = i;
            }
        }

        table[idx1][maxNums[idx1].second] = 0;
        zerosRed[idx1]++;

        if (zerosRed[idx1] == N)
        {
            minNums[idx1].first = -1;
        }

        for (int i = 1; i <= N; i++)
        {
            if (table[idx1][i] != 0)
            {
                if (maxNum < table[idx1][i])
                {
                    maxNum = table[idx1][i];
                    idx2 = i;
                }
            }
        }

        if (steps % 2 == 1)
        {
            Rosen += maxNums[idx1].first;
        }
        else
        {
            Ogi += maxNums[idx1].first;
        }

        maxNums[idx1].first = table[idx1][idx2];
        maxNums[idx1].second = idx2;

        /**for (int i = 1; i <= N; i++)
        {
            for (int q = 1; q <= N; q++)
            {
                cout << table[i][q] << " ";
            }

            cout << endl;
        }

        cout << "---\n";
        cout << "Ogi: " << Ogi << endl << "Rosen: " << Rosen << endl;
        cout << "---\n";**/
    }

    cout << Ogi << " " << Rosen << endl;

    return 0;
}
